
// geoTuneDlg.h : header file
//

#pragma once
#include "camView.h"

// CgeoTuneDlg dialog
class CgeoTuneDlg : public CDialogEx
{
// Construction
public:
	CgeoTuneDlg(CWnd* pParent = nullptr);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_GEOTUNE_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;
	CBrush m_brush;

public:
	CEdit m_log_edit;

public:
	void setLed(int id, int color);
	void readout();
	UINT_PTR timer1;
//	void setFocus(int f);
//	void setFocusM(float f);
//	void setExposure(double e);
//	void setGain(double g);
//	void setFStop(double s);
	void selectTarget();
	void selectTarget(double lat,double lon, double alt);
//	int getFocus();
//	void getFocusRange();
//	double getExposure();
//	double getGain();
//	double getFStop();
	void scanSettings(void);
	void render();
	void commandGimbal();
	void setText(int id,char *s);
	void nextTarget();
	void prevTarget();
	void logEvent(char *s1);

	camView m_cameraImage;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnBnClickedEnter();
	afx_msg void OnBnClickedSetSlave();
	afx_msg void OnBnClickedRadioGeo();
	afx_msg void OnBnClickedRadioSlave();
	afx_msg void OnBnClickedRadioRate();
	afx_msg void OnBnClickedRadioStandby();
	afx_msg void OnBnClickedSetSlave2();
	afx_msg void OnBnClickedLoadSlave1();
	afx_msg void OnBnClickedLoadSlave2();
	afx_msg void OnDestroy();
	afx_msg void OnStnClickedCameraImage();
	afx_msg void OnBnClickedLensInit();
	afx_msg void OnBnClickedAutoTarget();
	afx_msg void OnBnClickedPrevTarget();
	afx_msg void OnBnClickedNextTarget();
	afx_msg void OnBnClickedPrevSet();
	afx_msg void OnBnClickedNextSet();
	afx_msg void OnBnClickedAutonull();
	afx_msg void OnBnClickedRadioT1();
	afx_msg void OnBnClickedRadioT2();
	afx_msg void OnBnClickedRadioT3();
	afx_msg void OnBnClickedRadioT4();
	afx_msg void OnBnClickedRadioT5();
	afx_msg void OnBnClickedRadioT6();
	afx_msg void OnBnClickedRadioT7();
	afx_msg void OnBnClickedRadioT8();
	afx_msg void OnBnClickedRadioT9();
	afx_msg void OnBnClickedRadioT10();
	afx_msg void OnBnClickedRadioT11();
	afx_msg void OnBnClickedGraphTog();
	afx_msg void OnBnClickedPause();
	afx_msg void OnBnClickedConnect();
	afx_msg void OnBnClickedRadioStow();
	afx_msg void OnBnClickedRadioOuter();
	afx_msg void OnBnClickedCapGraph();
	afx_msg void OnBnClickedCameraTog();
	afx_msg void OnBnClickedSetHeading();
	afx_msg void OnBnClickedSaveLog();
	afx_msg void OnBnClickedHsLog();
	afx_msg void OnBnClickedPort();
};
